petsc-3.4.2 2013-07-02

# SNESLineSearchReset

Undoes the SetUp and deletes any Vecs or Mats allocated by the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchReset(SNESLineSearch linesearch)

Collective on SNESLineSearch

### Input Parameters

linesearch -The LineSearch instance.

### Keywords

SNESLineSearch, Reset

### See Also

SNESLineSearchSetUp()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages